Bug 771687 - ABI issue in MIT krb5 1.10 scheduled for RHEL 6.4
Summary: ABI issue in MIT krb5 1.10 scheduled for RHEL 6.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 6.4
Assignee: Nalin Dahyabhai
QA Contact: Zbysek MRAZ
URL:
Whiteboard:
Depends On:
Blocks: 840699
TreeView+ depends on / blocked
 
Reported: 2012-01-04 16:10 UTC by Simo Sorce
Modified: 2013-10-01 02:59 UTC (History)
6 users (show)

Fixed In Version: krb5-1.10.3-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:36:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0319 normal SHIPPED_LIVE krb5 bug fix update 2013-02-20 20:54:56 UTC

Description Simo Sorce 2012-01-04 16:10:26 UTC
Description of problem:
In MIT krb 1.10 a semi-private symbol (krb5_locate_kdc) that is exposed by the krb5 library and used by the samba package has been renamed and the function signature has changed.
This will break samba for people that will upgrade to 6.4
We should patch RHEL's 1.10 packages to re-introduce the symbol by making it a wrapper around the new call.

Comment 7 Simo Sorce 2012-08-03 19:10:07 UTC
Nalin,
a conflicts with the old samba vesion is fine.

Comment 13 errata-xmlrpc 2013-02-21 08:36:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0319.html


Note You need to log in before you can comment on or make changes to this bug.